SortSpecification (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql.ordering.antlr
Class SortSpecification

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.sql.ordering.antlr.NodeSupport
                  org.hibernate.sql.ordering.antlr.SortSpecification

All Implemented Interfaces:
  antlr.collections.AST, Serializable, Node

    public class SortSpecification

extends NodeSupport

Models each sorting exprersion.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`SortSpecification()`

Method Summary
`CollationSpecification` | `getCollation()` Locate the specified `collation specification`, if one.
`OrderingSpecification` | `getOrdering()` Locate the specified `ordering specification`, if one.
`SortKey` | `getSortKey()` Locate the specified `SortKey`.

Methods inherited from class org.hibernate.sql.ordering.antlr.NodeSupport
`getDebugText, getRenderableText`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, initialize, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.sql.ordering.antlr.Node
`getText`

Constructor Detail

### SortSpecification

    public SortSpecification()

Method Detail

### getSortKey

    public SortKey getSortKey()

  Locate the specified `SortKey`.

  Returns:
    The sort key.

### getCollation

    public CollationSpecification getCollation()

  Locate the specified `collation specification`, if one.

  Returns:
    The `collation specification`, or null if none was specified.

### getOrdering

    public OrderingSpecification getOrdering()

  Locate the specified `ordering specification`, if one.

  Returns:
    The `ordering specification`, or null if none was specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.